#include "matcher.h"

namespace NSrvKernel {

    THolder<IResponseMatcher> ConstructResponseMatcher(ICtl* ctl, const TString& key, NConfig::IConfig* config) {
        return ConstructMatcher<TResponse>(ctl, key, config);
    }

    THolder<IRequestMatcher> ConstructRequestMatcher(ICtl* ctl, const TString& key, NConfig::IConfig* config) {
        return ConstructMatcher<TConnDescr>(ctl, key, config);
    }

}
